Last Comment Bug 701124 - Threadsafe opt shell failures
: Threadsafe opt shell failures
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: general
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-09 11:58 PST by Chris Leary [:cdleary] (not checking bugmail)
Modified: 2012-07-24 10:02 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Chris Leary [:cdleary] (not checking bugmail) 2011-11-09 11:58:22 PST
Using --enable-threadsafe and --with-system-nspr I get:

REGRESSIONS
    js1_8/extensions/regress-422269.js
    js1_8_5/extensions/worker-error.js
    js1_8_5/extensions/worker-error-propagation.js
    js1_8_5/extensions/worker-fib.js
    js1_8_5/extensions/worker-init.js
    js1_8_5/extensions/worker-simple.js
    js1_8_5/extensions/worker-terminate.js
    js1_8_5/extensions/worker-timeout.js

The workers seem to get

    Assertion failure: rt->onOwnerThread(), at /moz/mi-to-commit/js/src/jsapi.cpp:6302

which I believe luke recently added. regress-422269 is a leak test that gets screwed up by conservative stack scanning sometimes.
Comment 1 David Mandelin [:dmandelin] 2011-11-17 11:41:40 PST
Hopefully threadsafe and the conservative stack scanner are both going away.
Comment 2 :Benjamin Peterson 2012-07-24 10:02:40 PDT
Shell workers are gone, so this should be all fixed.

Note You need to log in before you can comment on or make changes to this bug.